Package com.independentsoft.office.odf.styles

# Enum Class FillImageRenderingStyle

java.lang.Object
java.lang.Enum<FillImageRenderingStyle>
com.independentsoft.office.odf.styles.FillImageRenderingStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<FillImageRenderingStyle>`, `Constable`

public enum FillImageRenderingStyle extends Enum<FillImageRenderingStyle>
Represents if an image can be repeated or stretched over an area.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NO_REPEAT`
  Image should not be repeated.
  `NONE`
  None.
  `REPEAT`
  Image should be repeated.
  `STRETCH`
  Image should be stretched over an area.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FillImageRenderingStyle`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static FillImageRenderingStyle[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### REPEAT

    public static final FillImageRenderingStyle REPEAT
    Image should be repeated.

  - ### NO_REPEAT

    public static final FillImageRenderingStyle NO_REPEAT
    Image should not be repeated.

  - ### STRETCH

    public static final FillImageRenderingStyle STRETCH
    Image should be stretched over an area.

  - ### NONE

    public static final FillImageRenderingStyle NONE
    None.

- ## Method Details

  - ### values

    public static FillImageRenderingStyle[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FillImageRenderingStyle valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null